<template>
  <div v-if="show" class="fixed bottom-0 left-0 w-full">
        <van-picker
            show-toolbar
            title="Title"
            :columns="columns"
            @confirm="onConfirm"
            @cancel="onCancel"
            @change="onChange"
        />
  </div>
</template>

<script lang="ts">

import Vue from "vue";
import { Picker } from 'vant';
Vue.use(Picker);
export default Vue.extend({
  data() {
    return {
        columns: ['Delaware', 'Florida', 'Georqia', 'Indiana', 'Maine'],
        show:false
 };
  },
    methods:{
        onConfirm() {
      console.log(1);
      
    },
    onChange() {
       console.log(2);
    },
    onCancel() {
      console.log(3);
    },
  }
  

});
</script>
